{-# LANGUAGE TemplateHaskell #-}
{-# LANGUAGE BlockArguments, LambdaCase, TupleSections #-}
{-# LANGUAGE PatternSynonyms, ViewPatterns #-}
{-# OPTIONS_GHC -Wall -fno-warn-tabs #-}

module Graphics.Pango.Basic.ScriptsAndLanguages.PangoScript.Enum where

import Foreign.C.Enum
import Data.Int

#include <pango/pango.h>

enum "PangoScript" ''#{type PangoScript} [''Show, ''Read] [
	("PangoScriptInvaludCode", #{const PANGO_SCRIPT_INVALID_CODE}),
	("PangoScriptCommon", #{const PANGO_SCRIPT_COMMON}),
	("PangoScriptInherited", #{const PANGO_SCRIPT_INHERITED}),

	("PangoScriptArabic", #{const PANGO_SCRIPT_ARABIC}),
	("PangoScriptArmenian", #{const PANGO_SCRIPT_ARMENIAN}),
	("PangoScriptBengali", #{const PANGO_SCRIPT_BENGALI}),
	("PangoScriptBopomofo", #{const PANGO_SCRIPT_BOPOMOFO}),
	("PangoScriptCherokee", #{const PANGO_SCRIPT_CHEROKEE}),
	("PangoScriptCoptic", #{const PANGO_SCRIPT_COPTIC}),
	("PangoScriptCyrillic", #{const PANGO_SCRIPT_CYRILLIC}),
	("PangoScriptDeseret", #{const PANGO_SCRIPT_DESERET}),
	("PangoScriptDevanagari", #{const PANGO_SCRIPT_DEVANAGARI}),
	("PangoScriptEthiopic", #{const PANGO_SCRIPT_ETHIOPIC}),
	("PangoScriptGeorgian", #{const PANGO_SCRIPT_GEORGIAN}),
	("PangoScriptGothic", #{const PANGO_SCRIPT_GOTHIC}),
	("PangoScriptGreek", #{const PANGO_SCRIPT_GREEK}),
	("PangoScriptGujarati", #{const PANGO_SCRIPT_GUJARATI}),
	("PangoScriptGurmukhi", #{const PANGO_SCRIPT_GURMUKHI}),
	("PangoScriptHan", #{const PANGO_SCRIPT_HAN}),
	("PangoScriptHangul", #{const PANGO_SCRIPT_HANGUL}),
	("PangoScriptHebrew", #{const PANGO_SCRIPT_HEBREW}),
	("PangoScriptHiragana", #{const PANGO_SCRIPT_HIRAGANA}),
	("PangoScriptKannada", #{const PANGO_SCRIPT_KANNADA}),
	("PangoScriptKatakana", #{const PANGO_SCRIPT_KATAKANA}),
	("PangoScriptKhmer", #{const PANGO_SCRIPT_KHMER}),
	("PangoScriptLao", #{const PANGO_SCRIPT_LAO}),
	("PangoScriptLatin", #{const PANGO_SCRIPT_LATIN}),
	("PangoScriptMalaylam", #{const PANGO_SCRIPT_MALAYALAM}),
	("PangoScriptMongolian", #{const PANGO_SCRIPT_MONGOLIAN}),
	("PangoScriptMyanmar", #{const PANGO_SCRIPT_MYANMAR}),
	("PangoScriptOgham", #{const PANGO_SCRIPT_OGHAM}),
	("PangoScriptOldItalic", #{const PANGO_SCRIPT_OLD_ITALIC}),
	("PangoScriptOriya", #{const PANGO_SCRIPT_ORIYA}),
	("PangoScriptRunic", #{const PANGO_SCRIPT_RUNIC}),
	("PangoScriptSinhala", #{const PANGO_SCRIPT_SINHALA}),
	("PangoScriptSyriac", #{const PANGO_SCRIPT_SYRIAC}),
	("PangoScriptTamil", #{const PANGO_SCRIPT_TAMIL}),
	("PangoScriptTelugu", #{const PANGO_SCRIPT_TELUGU}),
	("PangoScriptThaana", #{const PANGO_SCRIPT_THAANA}),
	("PangoScriptThai", #{const PANGO_SCRIPT_THAI}),
	("PangoScriptTibetan", #{const PANGO_SCRIPT_TIBETAN}),
	("PangoScriptCanadianAboriginal",
		#{const PANGO_SCRIPT_CANADIAN_ABORIGINAL}),
	("PangoScriptYi", #{const PANGO_SCRIPT_YI}),
	("PangoScriptTagalog", #{const PANGO_SCRIPT_TAGALOG}),
	("PangoScriptHanunoo", #{const PANGO_SCRIPT_HANUNOO}),
	("PangoScriptBuhid", #{const PANGO_SCRIPT_BUHID}),
	("PangoScriptTagbanwa", #{const PANGO_SCRIPT_TAGBANWA}),
	("PangoScriptBraille", #{const PANGO_SCRIPT_BRAILLE}),
	("PangoScriptCypriot", #{const PANGO_SCRIPT_CYPRIOT}),
	("PangoScriptLimbu", #{const PANGO_SCRIPT_LIMBU}),
	("PangoScriptOsmanya", #{const PANGO_SCRIPT_OSMANYA}),
	("PangoscriptShavian", #{const PANGO_SCRIPT_SHAVIAN}),
	("PangoScriptLinearB", #{const PANGO_SCRIPT_LINEAR_B}),
	("PangoScriptTaiLe", #{const PANGO_SCRIPT_TAI_LE}),
	("PangoScriptUgaritic", #{const PANGO_SCRIPT_UGARITIC}),

	("PangoScriptNewTaiLue", #{const PANGO_SCRIPT_NEW_TAI_LUE}),
	("PangoScriptBuginese", #{const PANGO_SCRIPT_BUGINESE}),
	("PangoScriptGlagolitic", #{const PANGO_SCRIPT_GLAGOLITIC}),
	("PangoScriptTifinagh", #{const PANGO_SCRIPT_TIFINAGH}),
	("PangoScriptSylotiNagri", #{const PANGO_SCRIPT_SYLOTI_NAGRI}),
	("PangoScriptOldPersian", #{const PANGO_SCRIPT_OLD_PERSIAN}),
	("PangoScriptKharoshthi", #{const PANGO_SCRIPT_KHAROSHTHI}),

	("PangoScriptUnknown", #{const PANGO_SCRIPT_UNKNOWN}),
	("PangoScriptBalinese", #{const PANGO_SCRIPT_BALINESE}),
	("PangoScriptCuneiform", #{const PANGO_SCRIPT_CUNEIFORM}),
	("PangoScriptPhoenician", #{const PANGO_SCRIPT_PHOENICIAN}),
	("PangoScriptPhagsPa", #{const PANGO_SCRIPT_PHAGS_PA}),
	("PangoScriptNko", #{const PANGO_SCRIPT_NKO}),

	("PangoScriptKyahLi", #{const PANGO_SCRIPT_KAYAH_LI}),
	("PangoScriptLepcha", #{const PANGO_SCRIPT_LEPCHA}),
	("PangoScriptRejang", #{const PANGO_SCRIPT_REJANG}),
	("PangoScriptSundanese", #{const PANGO_SCRIPT_SUNDANESE}),
	("PangoScriptSaurashtra", #{const PANGO_SCRIPT_SAURASHTRA}),
	("PangoScriptCham", #{const PANGO_SCRIPT_CHAM}),
	("PangoScriptOlChiki", #{const PANGO_SCRIPT_OL_CHIKI}),
	("PangoScriptVai", #{const PANGO_SCRIPT_VAI}),
	("PangoScriptCarian", #{const PANGO_SCRIPT_CARIAN}),
	("PangoScriptLycian", #{const PANGO_SCRIPT_LYCIAN}),
	("PangoScriptLydian", #{const PANGO_SCRIPT_LYDIAN}),

	("PangoScriptBatak", #{const PANGO_SCRIPT_BATAK}),
	("PangoScriptBraham", #{const PANGO_SCRIPT_BRAHMI}),
	("PangoScriptMandaic", #{const PANGO_SCRIPT_MANDAIC}),
	("PangoScriptChakma", #{const PANGO_SCRIPT_CHAKMA}),
	("PangoScriptMeroiticCursive", #{const PANGO_SCRIPT_MEROITIC_CURSIVE}),
	("PangoScriptMeroiticHieroglyphs",
		#{const PANGO_SCRIPT_MEROITIC_HIEROGLYPHS}),
	("PangoScriptMiao", #{const PANGO_SCRIPT_MIAO}),
	("PangoScriptSharada", #{const PANGO_SCRIPT_SHARADA}),
	("PangoScriptSoraSompeng", #{const PANGO_SCRIPT_SORA_SOMPENG}),
	("PangoScriptTakri", #{const PANGO_SCRIPT_TAKRI}),

	("PangoScriptBassaVah", #{const PANGO_SCRIPT_BASSA_VAH}),
	("PangoScriptCaucasianAlbanian",
		#{const PANGO_SCRIPT_CAUCASIAN_ALBANIAN}),
	("PangoScriptDuployan", #{const PANGO_SCRIPT_DUPLOYAN}),
	("PangoScriptElbasan", #{const PANGO_SCRIPT_ELBASAN}),
	("PangoScriptGrantha", #{const PANGO_SCRIPT_GRANTHA}),
	("PangoScriptKhojki", #{const PANGO_SCRIPT_KHOJKI}),
	("PangoScriptKhudawadi", #{const PANGO_SCRIPT_KHUDAWADI}),
	("PangoScriptLinearA", #{const PANGO_SCRIPT_LINEAR_A}),
	("PangoScriptMahajani", #{const PANGO_SCRIPT_MAHAJANI}),
	("PangoScriptManichaean", #{const PANGO_SCRIPT_MANICHAEAN}),
	("PangoScriptMendeKikakui", #{const PANGO_SCRIPT_MENDE_KIKAKUI}),
	("PangoScriptModi", #{const PANGO_SCRIPT_MODI}),
	("PangoScriptMro", #{const PANGO_SCRIPT_MRO}),
	("PangoScriptNabataean", #{const PANGO_SCRIPT_NABATAEAN}),
	("PangoScriptOldNorthArabian", #{const PANGO_SCRIPT_OLD_NORTH_ARABIAN}),
	("PangoScriptOldPermic", #{const PANGO_SCRIPT_OLD_PERMIC}),
	("PangoScriptPahawhHmong", #{const PANGO_SCRIPT_PAHAWH_HMONG}),
	("PangoScriptPalmyrene", #{const PANGO_SCRIPT_PALMYRENE}),
	("PangoScriptPauCinHau", #{const PANGO_SCRIPT_PAU_CIN_HAU}),
	("PangoScriptPsalterPahlavi", #{const PANGO_SCRIPT_PSALTER_PAHLAVI}),
	("PangoScriptSiddham", #{const PANGO_SCRIPT_SIDDHAM}),
	("PangoScriptTirhuta", #{const PANGO_SCRIPT_TIRHUTA}),
	("PangoScriptWarangCiti", #{const PANGO_SCRIPT_WARANG_CITI}),
	("PangoScriptAhom", #{const PANGO_SCRIPT_AHOM}),
	("PangoScriptAnatolianHieroglyphs",
		#{const PANGO_SCRIPT_ANATOLIAN_HIEROGLYPHS}),
	("PangoScriptHatran", #{const PANGO_SCRIPT_HATRAN}),
	("PangoScriptMultani", #{const PANGO_SCRIPT_MULTANI}),
	("PangoScriptOldHungarian", #{const PANGO_SCRIPT_OLD_HUNGARIAN}),
	("PangoScriptSignwriting", #{const PANGO_SCRIPT_SIGNWRITING}) ]
